## org.eclipse.emf.ocl.types.util
Class Types

    java.lang.Object
      org.eclipse.emf.ocl.types.util.Types

Deprecated. Use the `OCLStandardLibrary` interface, instead, to access the standard library types.

    @Deprecated
    public class Types

extends Object

A collection of global static types.

Field Summary
`static InvalidType` `INVALID` Deprecated. The shared type object representing Invalid (the single instance of the OclInvalidType metatype).
`static Object` `NULL` Deprecated. The single value of the `OclVoid` type, `null`.
`static AnyType` `OCL_ANY_TYPE` Deprecated. Representation of the OclAny type.
`static PrimitiveBoolean` `OCL_BOOLEAN` Deprecated. Representation of the OCL predefined Boolean type.
`static ElementType` `OCL_ELEMENT` Deprecated. Representation of the OCL predefined OclElement type.
`static PrimitiveInteger` `OCL_INTEGER` Deprecated. Representation of the OCL predefined Integer type.
`static Object` `OCL_INVALID` Deprecated. The single value of the `Invalid` type, `OclInvalid`.
`static MessageType` `OCL_MESSAGE` Deprecated. Representation of the OCL predefined OclMessage type.
`static PrimitiveType` `OCL_REAL` Deprecated. Representation of the OCL predefined Real type.
`static PrimitiveString` `OCL_STRING` Deprecated. Representation of the OCL predefined String type.
`static TypeType` `OCL_TYPE` Deprecated. Representation of the OCL predefined OclType type.
`static VoidType` `OCL_VOID` Deprecated. The shared type object representing OclVoid (the single instance of the OclVoidType metatype).
`static EClass` `STATE` Deprecated. Representation of the OCL/UML predefined State type.

Method Summary
`static EPackage` `init()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OCL_VOID

    public static VoidType OCL_VOID

  Deprecated.
  The shared type object representing OclVoid (the single instance of the OclVoidType metatype).

### NULL

    public static Object NULL

  Deprecated.
  The single value of the `OclVoid` type, `null`.

### INVALID

    public static InvalidType INVALID

  Deprecated.
  The shared type object representing Invalid (the single instance of the OclInvalidType metatype).

### OCL_INVALID

    public static Object OCL_INVALID

  Deprecated.
  The single value of the `Invalid` type, `OclInvalid`.

### OCL_ANY_TYPE

    public static AnyType OCL_ANY_TYPE

  Deprecated.
  Representation of the OclAny type.

### OCL_BOOLEAN

    public static PrimitiveBoolean OCL_BOOLEAN

  Deprecated.
  Representation of the OCL predefined Boolean type.

### OCL_INTEGER

    public static PrimitiveInteger OCL_INTEGER

  Deprecated.
  Representation of the OCL predefined Integer type.

### OCL_REAL

    public static PrimitiveType OCL_REAL

  Deprecated.
  Representation of the OCL predefined Real type.

### OCL_STRING

    public static PrimitiveString OCL_STRING

  Deprecated.
  Representation of the OCL predefined String type.

### OCL_TYPE

    public static final TypeType OCL_TYPE

  Deprecated.
  Representation of the OCL predefined OclType type.

### OCL_MESSAGE

    public static final MessageType OCL_MESSAGE

  Deprecated.
  Representation of the OCL predefined OclMessage type.

### OCL_ELEMENT

    public static final ElementType OCL_ELEMENT

  Deprecated.
  Representation of the OCL predefined OclElement type.

### STATE

    public static final EClass STATE

  Deprecated.
  Representation of the OCL/UML predefined State type.

Method Detail

### init

    public static EPackage init()

  Deprecated.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.